Package be.fgov.ehealth.hubservices.core.v2

# Class PutTherapeuticLinkBulkRequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.PutTherapeuticLinkBulkRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class PutTherapeuticLinkBulkRequest extends Object implements Serializable

Java class for PutTherapeuticLinkBulkRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PutTherapeuticLinkBulkRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
             <element name="therapeuticlinkrequest" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
                       <group ref="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticLinkWithProofType"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PutTherapeuticLinkBulkRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestType`
  `getRequest()`
  Gets the value of the request property.
  `List<Therapeuticlinkrequest>`
  `getTherapeuticlinkrequests()`
  Gets the value of the therapeuticlinkrequests property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PutTherapeuticLinkBulkRequest

    public PutTherapeuticLinkBulkRequest()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`

  - ### getTherapeuticlinkrequests

    public List<Therapeuticlinkrequest> getTherapeuticlinkrequests()
    Gets the value of the therapeuticlinkrequests property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the therapeuticlinkrequests property.

    For example, to add a new item, do as follows:

         getTherapeuticlinkrequests().add(newItem);

    Objects of the following type(s) are allowed in the list `Therapeuticlinkrequest`

    Returns:
      The value of the therapeuticlinkrequests property.